Guest

Preview Tool

Cisco Bug: CSCul98143 - Upgraded 9000v with latest SMU reports 'not latest version'

Last Modified

May 14, 2019

Products (1)

  • Cisco ASR 9000 Series Aggregation Services Routers

Known Affected Releases

4.3(2)

Description (partial)

Symptom:
An ASR-9000v Satellite upgraded with the latest SMU might show up as running 'not latest version' of software even if the software it is running is later than the one reported by 'show nv satellite status':

RP/0/RSP1/CPU0:ASR9K#show nv satellite status
Fri Dec  6 12:20:19.145 UTC
Satellite 100
-------------
  State: Connected (Stable)
  Type: asr9000v
  Description: sat100
  MAC address: 8478.ac05.714c
  IPv4 address: 10.0.100.1 (auto)
  Received Serial Number: CAT1731U0A0
  Remote version: Compatible (not latest version)  <-- incorrectly reported as 'not latest version'
    ROMMON: 125.0 (Latest)
    FPGA: 1.13 (Latest)
    IOS: 287.0 (Available: 285.0)   <----- Version running is the latest version. 
  Configured satellite fabric links:

The following syslog message is also shown when the satellite comes online:

RP/0/RSP1/CPU0:Dec  6 12:19:21.909 UTC: icpe_gco[1139]: %PKT_INFRA-ICPE_GCO-6-VERSION_NOTCURRENT : Satellite 100 is running a software version which is not current

Conditions:
ASR9K with satellite attached and a 9000v SMU installed containing a later version of IOS.
Bug details contain sensitive information and therefore require a Cisco.com account to be viewed.

Bug Details Include

  • Full Description (including symptoms, conditions and workarounds)
  • Status
  • Severity
  • Known Fixed Releases
  • Related Community Discussions
  • Number of Related Support Cases
Bug information is viewable for customers and partners who have a service contract. Registered users can view up to 200 bugs per month without a service contract.